Subject: Comments on draft-guttman-svrloc-vendor-ext-00.txt

From: Mikael Pahmp <[email-masked]>
Date: Thu, 13 Jan 2000 09:58:35 +0100

Erik,

See my comments below.

>2.0 Enterprise Number
>
> Enterprise Numbers are used to distinguish different vendors in IETF
> protocols.  Vendor Extensions to SLPv2 will use these values to
> avoid any possibility of a name space collision. 

"will use" - is that a MAY, SHOULD or MUST?
I suggest 'SHOULD' to encourage its use.

>3.0 Naming Authorities
>
> Naming Authorities are defined by SLPv2 [1] as the agency or group
> which catalogues Service Types and attributes.

I suggest:

"A Naming Authority is defined by SLPv2 [1] as an agency or group which catalogues Service Types and attributes."

> A Service Type is a string representing a service which can be
> discovered by SLPv2 in a Service URL.  Attributes may be associated
> with a particular service which is advertised by SLPv2.

suggests: "... a particular service type ..."

> It is also possible for a Vendor to define their own naming
> authority.

Suggests "create" instead of "define".

> In this case, any service type or attributes may be used.
> SLPv2 allows arbitrary naming authorities to coexist.  To use an
> explicite naming authority, a vendor simply their Enterprise Number
> as a naming authority.

Suggests:
"To create a safe naming authority with no possibility of name collisions, a vendor SHOULD use their Enterprise Number as a naming authority."

> the Naming Authority string to use would be "9999."

Should be: "9999".

>4.0 Vendor Defined Attributes

This section talks about creating safe attribute names but the example describes a safe attribute value. Confusing.

>5.1. Vendor Opaque Extension Format

I think we should define another Extension in the 0x4000-0x7FFF range (mandatory) with the same format so that a vendor may use either an optional extension or a mandatory.

Last on page 6:  '9999' instead of '999'.

>6.0 Extensions Requiring IETF Action

Where are the terms 'IETF Consensus' and 'Standard Action' defined? Maybe a reference is needed.

> - New function-IDs in the range 12-255 may be standardized
>     by the method of IETF Consensus.

Suggests "are" instead of "may be".

/Mikael